import "../styles/globals.css";
import "../components/product-card/style.css";
import "../components/cart/style.css";
import type { AppProps } from "next/app";
import { CartProvider } from "../providers/cart";
import Image from "next/image";
import Head from "next/head";
import styles from "../styles/Home.module.css";
import { useRouter } from "next/router";

function MyApp({ Component, pageProps }: AppProps) {
  const router = useRouter();

  return (
    <CartProvider>
      <>
        <Head>
          <title>Switch Onboarding</title>
          <meta name="description" content="Generated by create next app" />
          <link rel="icon" href="/favicon.ico" />
        </Head>

        <div className={styles.container}>
          <main className={styles.main}>
            <div>
              <button
                className="button"
                onClick={() => router.push("/admin/orders")}
              >
                Orders
              </button>
              <button className="button" onClick={() => router.push("/")}>
                Home
              </button>
            </div>
            <Component {...pageProps} />
          </main>
        </div>

        <footer className={styles.footer}>
          <a
            href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"
            target="_blank"
            rel="noopener noreferrer"
          >
            Powered by{" "}
            <span className={styles.logo}>
              <Image
                src="/vercel.svg"
                alt="Vercel Logo"
                width={72}
                height={16}
              />
            </span>
          </a>
        </footer>
      </>
    </CartProvider>
  );
}

export default MyApp;
